KDE 4.9 PyKDE API Reference

- KDE's Python API

# ThumbSequenceCreator Class Reference

`from PyKDE4.kio import *`

Inherits: ThumbCreator

## Detailed Description

See also:
  ThumbCreator

This is an extension of ThumbCreator that allows creating a thumbnail sequence for a file. If your thumbnail plugin can create a thumbnail sequence, you should base it on ThumbSequenceCreator instead of ThumbCreator, and should use sequenceIndex() to decide what thumbnail you generate.

You also need to set the following key in the thumbcreator .desktop file

     HandleSequences=true;

Since:
  4.3

## Methods

| __init__ (self)
| __init__ (self, ThumbSequenceCreator a0)
float | sequenceIndex (self)
| setSequenceIndex (self, float index)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | ThumbSequenceCreator | a0
| ) |  |  |

float sequenceIndex | ( |  | self ) |

If this thumb-creator can create a sequence of thumbnails, it should use this to decide what sequence item to use.

If the value is zero, the standard thumbnail should be created.

This can be used for example to create thumbnails for different timeframes in videos(For example 0m, 10m, 20m, ...).

If your thumb-creator supports a high granularity, like a video, you can respect the sub-integer precision coming from the float. Else, just round the index to an integer.

If the end of your sequence is reached, the sequence should start from the beginning, or continue in some other way.

setSequenceIndex | ( | self, |
|  | float | index
| ) |  |  |

Sets the sequence-index for this thumb creator.

See also:
  sequenceIndex